Bug 2045943 (CVE-2022-0284) - CVE-2022-0284 ImageMagick: Heap buffer overread in GetPixelAlpha() declared in MagickCore/pixel-accessor.h
Summary: CVE-2022-0284 ImageMagick: Heap buffer overread in GetPixelAlpha() declared i...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-0284
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2045939 2051399
TreeView+ depends on / blocked
 
Reported: 2022-01-26 02:24 UTC by Todd Cullum
Modified: 2022-08-29 06:20 UTC (History)
8 users (show)

Fixed In Version: ImageMagick 7.1.0-20
Doc Type: If docs needed, set a value
Doc Text:
A heap-based-buffer-over-read flaw was found in ImageMagick's GetPixelAlpha() function of 'pixel-accessor.h'. This vulnerability is triggered when an attacker passes a specially crafted Tagged Image File Format (TIFF) image to convert it into a PICON file format. This issue can potentially lead to a denial of service and information disclosure.
Clone Of:
Environment:
Last Closed: 2022-02-01 13:31:18 UTC


Attachments (Terms of Use)

Description Todd Cullum 2022-01-26 02:24:21 UTC
There's a heap buffer overread that was discovered in ImageMagick version 7.1.0-20 in GetPixelAlpha() declared in MagickCore/pixel-accessor.h. A specially crafted file could trigger this and potentially cause a denial of service or information leak.

Reference: https://github.com/ImageMagick/ImageMagick/issues/4729
Upstream patch commit: https://github.com/ImageMagick/ImageMagick/commit/e50f19fd73c792ebe912df8ab83aa51a243a3da7


Note You need to log in before you can comment on or make changes to this bug.